# Clutter::Backend Class Reference

Inherits Glib::Object.

Collaboration diagram for Clutter::Backend:
[legend]

List of all members.

## Public Member Functions

virtual | ~Backend ()
ClutterBackend* | gobj ()
| Provides access to the underlying C GObject.
const ClutterBackend* | gobj () const
| Provides access to the underlying C GObject.
ClutterBackend* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
double | get_resolution () const
| Gets the resolution for font handling on the screen; see set_resolution() for full details.
void | set_resolution (double dpi)
| Sets the resolution for font handling on the screen.
guint | get_double_click_time () const
| Gets the maximum time between two button press events, as set by set_double_click_time().
void | set_double_click_time (guint msec)
| Sets the maximum time between two button press events, used to verify whether it's a double click event or not.
guint | get_double_click_distance () const
| Retrieves the distance used to verify a double click event.
void | set_double_click_distance (guint distance)
| Sets the maximum distance used to verify a double click event.
::Cairo::FontOptions | get_font_options () const
| Retrieves the font options for backend.
void | set_font_options (const ::Cairo::FontOptions& options)
| Sets the new font options for backend.
Glib::ustring | get_font_name () const
| Retrieves the default font name as set by set_font_name().
void | set_font_name (const Glib::ustring& font_name)
| Sets the default font to be used by Clutter.
Glib::SignalProxy0< void > | signal_font_changed ()
Glib::SignalProxy0< void > | signal_resolution_changed ()

## Static Public Member Functions

static Glib::RefPtr< Backend > | get_default ()
| Retrieves the default Clutter::Backend used by Clutter.

## Protected Member Functions

| Backend ()
virtual void | on_font_changed ()
virtual void | on_resolution_changed ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Clutter::Backend > | wrap (ClutterBackend* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Clutter::Backend::~Backend | ( |  | ) | `[virtual]`

Clutter::Backend::Backend | ( |  | ) | `[protected]`

## Member Function Documentation

static Glib::RefPtr<Backend> Clutter::Backend::get_default | ( |  | ) | `[static]`

Retrieves the default Clutter::Backend used by Clutter.

The Clutter::Backend holds backend-specific configuration options.

Since cluttermm 0.4:

Returns:
  The default backend. You should not ref or unref the returned object. Applications should rarely need to use this.

guint Clutter::Backend::get_double_click_distance | ( |  | ) | const

Retrieves the distance used to verify a double click event.

Since cluttermm 0.4:

Returns:
  A distance, in pixels.

guint Clutter::Backend::get_double_click_time | ( |  | ) | const

Gets the maximum time between two button press events, as set by set_double_click_time().

Since cluttermm 0.4:

Returns:
  A time in milliseconds.

Glib::ustring Clutter::Backend::get_font_name | ( |  | ) | const

Retrieves the default font name as set by set_font_name().

Since cluttermm 1.0:

Returns:
  The font name for the backend. The returned string is owned by the Clutter::Backend and should never be modified or freed.

::Cairo::FontOptions Clutter::Backend::get_font_options | ( |  | ) | const

Retrieves the font options for backend.

Since cluttermm 0.8:

Returns:
  The font options of the Clutter::Backend. The returned cairo_font_options_t is owned by the backend and should not be modified or freed.

double Clutter::Backend::get_resolution | ( |  | ) | const

Gets the resolution for font handling on the screen; see set_resolution() for full details.

Since cluttermm 0.4:

Returns:
  The current resolution, or -1 if no resolution has been set.

const ClutterBackend* Clutter::Backend::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

ClutterBackend* Clutter::Backend::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

ClutterBackend* Clutter::Backend::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

virtual void Clutter::Backend::on_font_changed | ( |  | ) | `[protected, virtual]`

virtual void Clutter::Backend::on_resolution_changed | ( |  | ) | `[protected, virtual]`

void Clutter::Backend::set_double_click_distance | ( | guint | distance | ) |

Sets the maximum distance used to verify a double click event.

Since cluttermm 0.4:

Parameters:

  | distance | A distance, in pixels.

void Clutter::Backend::set_double_click_time | ( | guint | msec | ) |

Sets the maximum time between two button press events, used to verify whether it's a double click event or not.

Since cluttermm 0.4:

Parameters:

  | msec | Milliseconds between two button press events.

void Clutter::Backend::set_font_name | ( | const Glib::ustring & | font_name | ) |

Sets the default font to be used by Clutter.

The font_name string must either be `0`, which means that the font name from the default Clutter::Backend will be used; or be something that can be parsed by the pango_font_description_from_string() function.

Since cluttermm 1.0:

Parameters:

  | font_name | The name of the font.

void Clutter::Backend::set_font_options | ( | const ::Cairo::FontOptions & | options | ) |

Sets the new font options for backend.

The Clutter::Backend will copy the cairo_font_options_t.

If options is `0`, the first following call to get_font_options() will return the default font options for backend.

This function is intended for actors creating a Pango layout using the PangoCairo API.

Since cluttermm 0.8:

Parameters:

  | options | Cairo font options for the backend, or `0`.

void Clutter::Backend::set_resolution | ( | double | dpi | ) |

Sets the resolution for font handling on the screen.

This is a scale factor between points specified in a Pango::FontDescription and cairo units. The default value is 96, meaning that a 10 point font will be 13 units high. (10 * 96. / 72. = 13.3).

Applications should never need to call this function.

Since cluttermm 0.4:

Parameters:

  | dpi | The resolution in "dots per inch" (Physical inches aren't actually involved; the terminology is conventional).

Glib::SignalProxy0< void > Clutter::Backend::signal_font_changed | ( |  | ) |

Prototype:
  `void on_my_font_changed()`

Glib::SignalProxy0< void > Clutter::Backend::signal_resolution_changed | ( |  | ) |

Prototype:
  `void on_my_resolution_changed()`

## Friends And Related Function Documentation

Glib::RefPtr< Clutter::Backend > wrap | ( | ClutterBackend * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cluttermm/backend.h